AntClassLoader5 (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.loader, class: AntClassLoader5

Package org.apache.tools.ant.loader

# Class AntClassLoader5

java.lang.Object
java.lang.ClassLoader
org.apache.tools.ant.AntClassLoader
org.apache.tools.ant.loader.AntClassLoader5

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `EventListener`, `BuildListener`, `SubBuildListener`

public class AntClassLoader5 extends AntClassLoader
Deprecated.
since 1.9.7 Just use `AntClassLoader` itself.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AntClassLoader5(ClassLoader parent, Project project, Path classpath, boolean parentFirst)`
  Deprecated.
  Creates a classloader for the given project using the classpath given.

- ## Method Summary

  ### Methods inherited from class org.apache.tools.ant.AntClassLoader

  `addJavaLibraries, addLoaderPackageRoot, addPathComponent, addPathElement, addPathFile, addSystemPackageRoot, buildFinished, buildStarted, cleanup, close, defineClassFromData, definePackage, definePackage, findClass, findResource, findResources, findResources, forceLoadClass, forceLoadSystemClass, getClasspath, getConfiguredParent, getNamedResources, getResource, getResourceAsStream, getResources, getResourceURL, initializeClass, isInPath, loadClass, log, messageLogged, newAntClassLoader, resetThreadContextLoader, setClassPath, setIsolated, setParent, setParentFirst, setProject, setThreadContextLoader, subBuildFinished, subBuildStarted, targetFinished, targetStarted, taskFinished, taskStarted, toString`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AntClassLoader5

    public AntClassLoader5(ClassLoader parent, Project project, Path classpath, boolean parentFirst)
    Deprecated.
    Creates a classloader for the given project using the classpath given.
    Parameters:
      `parent` - The parent classloader to which unsatisfied loading attempts are delegated. May be `null`, in which case the classloader which loaded this class is used as the parent.
      `project` - The project to which this classloader is to belong. Must not be `null`.
      `classpath` - the classpath to use to load the classes. May be `null`, in which case no path elements are set up to start with.
      `parentFirst` - If `true`, indicates that the parent classloader should be consulted before trying to load the a class through this loader.